#include "ESP8266Tools.h"


ESP8266Tools::ESP8266Tools(byte ledPin) {
  m_ledPin = ledPin;
  m_ledEnabled = true;
}

void ESP8266Tools::SwitchLed(boolean on, bool force) {
  if (m_ledEnabled || force) {
    pinMode(m_ledPin, OUTPUT);
    digitalWrite(m_ledPin, !on);
  }
}

String ESP8266Tools::WifiModeToString(WiFiMode_t mode) {
  switch (mode) {
    case WiFiMode_t::WIFI_AP:
      return "Accespoint";
      break;
    case WiFiMode_t::WIFI_AP_STA:
      return "Accespoint + Station";
      break;
    case WiFiMode_t::WIFI_OFF:
      return "Off";
      break;
    case WiFiMode_t::WIFI_STA:
      return "Station";
      break;
    default:
      return "";
      break;
  }
}

void ESP8266Tools::Blink(byte ct, bool force) {
  if (m_ledEnabled || force) {
    for (int i = 0; i < ct; i++) {
      SwitchLed(true, force);
      delay(5);
      SwitchLed(false, force);
      if (ct > 1) {
        delay(5);
      }
    }
  }

}

void ESP8266Tools::EnableLED(bool enable) {
  m_ledEnabled = enable;

  if (!m_ledEnabled) {
    SwitchLed(false);
  }

}

